Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.layout.emitter
Class Image

    java.lang.Object
      org.eclipse.birt.report.engine.layout.emitter.Image

    public class Image

extends java.lang.Object

Field Summary
`static int` | `FORMAT_BMP`
`static int` | `FORMAT_GIF`
`static int` | `FORMAT_JPEG`
`static int` | `FORMAT_PNG`

Constructor Summary
`Image()`

Method Summary
`boolean` | `check()`
`int` | `getBitsPerPixel()`
`byte[]` | `getData()`
`int` | `getFormat()`
`java.lang.String` | `getFormatName()`
`int` | `getHeight()`
`java.lang.String` | `getMimeType()`
`int` | `getPhysicalHeightDpi()`
`float` | `getPhysicalHeightInch()`
`int` | `getPhysicalWidthDpi()`
`float` | `getPhysicalWidthInch()`
`int` | `getWidth()`
`void` | `setData(byte[] data)`
`void` | `setInput(byte[] data)`
`void` | `setInput(java.io.DataInput din)`
`void` | `setInput(java.io.InputStream in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FORMAT_JPEG

    public static final int FORMAT_JPEG

See Also:
  Constant Field Values

### FORMAT_GIF

    public static final int FORMAT_GIF

See Also:
  Constant Field Values

### FORMAT_PNG

    public static final int FORMAT_PNG

See Also:
  Constant Field Values

### FORMAT_BMP

    public static final int FORMAT_BMP

See Also:
  Constant Field Values

Constructor Detail

### Image

    public Image()

Method Detail

### setData

    public void setData(byte[] data)

### check

    public boolean check()

### getBitsPerPixel

    public int getBitsPerPixel()

### getFormat

    public int getFormat()

### getFormatName

    public java.lang.String getFormatName()

### getHeight

    public int getHeight()

### getMimeType

    public java.lang.String getMimeType()

### getPhysicalHeightDpi

    public int getPhysicalHeightDpi()

### getPhysicalHeightInch

    public float getPhysicalHeightInch()

### getPhysicalWidthDpi

    public int getPhysicalWidthDpi()

### getPhysicalWidthInch

    public float getPhysicalWidthInch()

### getData

    public byte[] getData()

### getWidth

    public int getWidth()

### setInput

    public void setInput(java.io.DataInput din)

### setInput

    public void setInput(byte[] data)

### setInput

    public void setInput(java.io.InputStream in)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.